Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.exist.util
Class XMLFilenameFilter

    java.lang.Object
      org.exist.util.XMLFilenameFilter

All Implemented Interfaces:
  java.io.FilenameFilter

public class XMLFilenameFilter
extends java.lang.Object
implements java.io.FilenameFilter

Constructor Summary
`XMLFilenameFilter()`
`XMLFilenameFilter(java.lang.String regexp)`

Method Summary
`boolean` | `accept(java.io.File dir, java.lang.String name)`
`static void` | `setExtensions(java.lang.String[] extensionList)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLFilenameFilter

    public XMLFilenameFilter()

### XMLFilenameFilter

    public XMLFilenameFilter(java.lang.String regexp)

Method Detail

### setExtensions

    public static void setExtensions(java.lang.String[] extensionList)

### accept

    public boolean accept(java.io.File dir,
                          java.lang.String name)

  Specified by:
    `accept` in interface `java.io.FilenameFilter`

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Wolfgang Meier. All rights reserved.